#!/usr/bin/perl -w

require '/var/smoothwall/header.pl';

my %cgiparams;

@shortmonths = ( "Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug",
	"Sep", "Oct", "Nov", "December" );
@longmonths = ( "January", "Februrary", "March", "April", "May", "June",
	"July", "August", "September", "October", "November", "December" );

print "Content-type: text/html\n\n";

$temp = `/bin/date +%m`; $temp =~ s/[0\n]//g;
$cgiparams{'MONTH'} = $temp - 1;
$temp = `/bin/date +%d`; $temp =~ s/[0\n]//g;
$cgiparams{'DAY'} = $temp;
&getcgihash(\%cgiparams);

&openpage('Smoothwall - PPP Diagnostics');
&openbigbox('100%', 'LEFT');

&openbox('100%', 'LEFT', 'Date:');

print "<FORM METHOD='POST'>\n";
print "<TABLE WIDTH='100%'>\n";
print "<TR>\n";
print "<TD>Month:</TD>\n";
print "<TD>\n";
print "<SELECT NAME='MONTH'>\n";
for ($month = 0; $month < 12; $month++)
{
	print "<OPTION ";
	if ($month == $cgiparams{'MONTH'}) {
		print 'SELECTED '; }
	print "VALUE='$month'>$longmonths[$month]\n";
}
print "</SELECT>\n";
print "</TD>\n";
print "<TD>Day:</TD>\n";

print "<TD>\n";
print "<SELECT NAME='DAY'>\n";
for ($day = 1; $day <= 31; $day++) 
{
	print "<OPTION ";
	if ($day == $cgiparams{'DAY'}) {
		print 'SELECTED '; }
	print "VALUE='$day'>$day\n";
}
print "</SELECT>\n";
print "</TD>\n";
print "<TD><INPUT TYPE='submit' NAME='ACTION' VALUE='Update'></TD>\n";
print "</TR>\n";
print "</TABLE>\n";
print "</FORM>\n";

&closebox();

$monthstr = $shortmonths[$cgiparams{'MONTH'}];
$day = $cgiparams{'DAY'};
if ($day <= 9) {
	$daystr = " $day"; }
else {
	$daystr = $day; }

&openbox('100%', 'LEFT', 'PPP log:');
print "<PRE>\n";
open (FILE, '/var/log/messages');
while (<FILE>)
{
	if (/(^${monthstr} ${daystr} ..:..:..) \w+ (pppd|chat)\[.*\]: (.*)/)
	{
		print "$1 $2 $3\n";
	}
}
close (FILE);
print "</PRE>\n";
print "&nbsp;\n";
&closebox();

print <<END
<DIV ALIGN='CENTER'>
<TABLE WIDTH='60%'>
<TR><TD ALIGN='CENTER'>
<A HREF='/cgi-bin/index.cgi'>BACK</A>
</TD></TR></TABLE>
</DIV>
END
;

&closebigbox();

&closepage();
